# Earthworm Modules:
Gmew Configuration File

(last revised 8 January 2012)

Page Index:

1. Functional command listing
2. Alphabetic command listing & description
3. Sample Configuration File

On startup, gmew reads commands from a configuration file. Commands in this file set all the parameters for configuring the Earthworm gmew module. In the control file, lines may begin with a valid gmew command (listed below) or with one of 2 special characters:

    #  marks the line as a comment (example: # This is a comment).

    @  allows control files to be nested; one control file can be
       accessed from another with the command "@" followed by
       a string representing the path name of the next control file
       (example: @model.d).

Command names must be typed in the control file exactly as shown in this document (upper/lower case matters!). Blank lines are also permitted in the control file.

## 1. FUNCTIONAL COMMAND LISTING

Earthworm system setup:
MyModuleId | Required
RingInName | Required
RingOutName | Required
getEventsFrom | Required
HeartBeatInterval | Required
log switch | Optional |
Memory allocation commands
maxSta | Required
maxTrace | Required
Event and Trace commands
traceSource | Optional | -t
extraDelay | Optional |
traceTimes | Optional
Add | Optional
Del | Optional
allowDuplicates | Optional
maxDist | Required
saveTrace | Optional
searchWindow | Optional
LookAtVersion | Optional
Auxiliary Data Sources
respSource | Optional
staLoc | Required
velocity model | Optional
SCNLpar | Optional
Miscellaneous Commands
Debug | Optional
wsTimeout | Optional
XMLDir | Optional
TempDir | Optional
MappingFile | Optional
watchForAlarm | Optional
AddSpectraResponseAt | Optional

## 2. ALPHABETIC COMMAND LISTING & DESCRIPTION

In the following section, all configuration file commands are listed in alphabetical order. Listed along with the command (bold-type) are its arguments (in red.) A detailed description of the command and is also given. Default values and example commands are listed after each command description.

command arg1 | function
Add STA COMP NET LOC | Event and Trace Commands
Add the trace(s) with station name STA, component name COMP, network name NET , and location code LOC to the selection list. Any of STA, COMP and NET may be the wildcard character `*'. COMP may be given as the first two letters of the component name, to select all direction desgnators (North and East) are accepted for that component. Zero, one or many Add commands may be listed in the configuration file. If no Add commands are given, all SCNLs from the trace source will be selected. The Del command may be used to narrow the selection implied by wildcard values in an Add command or by the absence of any Add commands.
    Default: all traces are selected from a trace source
    Example: Add * BH *
             Add SEA EH UW
AddSpectraResponseAt period | Miscellaneous Commands
Add the period to the list of those processed. If this is the first occurrence of this command, then replace the standard list (0.3, 1.0 and 3.0) with period.
    Default: 0.3, 1.0 and 3.0
    Example: AddSpectraResponseAt 2.0
             AddSpectraResponseAt 2.5
allowDuplicates | Miscellaneous Commands
This allows SCNL duplicates to occur for the same site since the normal gmew code ignores location code's in decising dups. This allows you to have HNZ 00 and HNZ 01 or in the case of buildings where you have 36 or more location codes for the same site! This feature is turned off if not put into the .d file. This is a boolean flag whose existence in the .d file indicates that it should be turned on.
    Default: OFF
    Example: allowDuplicates
Debug D | Miscellaneous Commands
Set the debug level to D. There are many different debug options; one or more of them may be activated using the Debug command. More than one Debug command may be used, or the different values (from the table) may be added together into one Debug command. Except as noted, the debug information is printed to STDERR and the log file (depending on the setting of log switch.) Select from these debug options: 1: trace and search times and P and S arrival estimates (relative to event origin time) 2: SCNL selection tests 16: ws_client debugging 32: poles. zeros and gain values 64: trial frequency response functions to STDOUT. Produces about 1500 lines for each SCNL, which should be saved to a file. 128: full frequency response function to STDOUT. Produces several thousand lines for each SCNL, which should be saved to a file. 256: Input and output trace data including in padded arear to STDOUT. Produces several thousand lines for each SCNL, which should be saved to a file.
    Default: 0; no debug output
    Example: Debug 3 # turns on options 1 and 2
Del STA COMP NET LOC | Event and Trace Commands
Delete the trace(s) with station name STA, component name COM, network name NET , and location code LOC from the selection list. Any of STA, COMP , NET and LOC may be the wildcard character `*'. COMP may be given as the first two letters of the component name, to select all direction desgnators (Vertical, North and East) are accepted for that component. Zero, one or many Del commands may be listed in the configuration file.
    Default: all traces are selected from a trace source
    Example: Del SEA BH UW --
getEventsFrom INST MOD | Earthworm Setup
Get event messages (TYPE_HYP2000ARC) from installation INST and module MOD. These installation and module IDs are found in earthworm.d and earthworm_global.d. Use as many getEventsFrom commands as necessary.
    Default:  none
    Example:  getEventsFrom INST_WILDCARD MOD_EQPROC
HeartBeatInterval H | Earthworm Setup
Send TYPE_HEARTBEAT messages every H seconds to the transport ring.
    Default:  none
    Example:  HeartbeatInterval 30
log switch: `-lS` | Earthworm Setup
This is not a config-file command but a command line switch Sets the value of the logging switch to S. Possible values of S are: 0: Do not create a log file. Some logging data will be printed to the screen (stdout or stderr.) 1: Create a log file in the directory named by the EW_LOG environment variable. The log file name will based on the config-file name and the current data. A new file will be created for each day (but only if there are logging entries to be made.) Some logging data will be printed to the screen (stdout or stderr,) as with option `0' above. 2: Create a log file as for option `1', but do not write anything to the screen (stdout or stderr.)
    Default: 1
    Example (on the command-line):  -l0 (lower-case ell zero; turns off creation of
            log file)
LookAtVersion Event-version | Event and Trace Commands
Optional parameter to use with eqassemble which declares the version of an event such as Prelim, Rapid and Final. Possible values for the parameter LookAtVersion are: All, Prelim, Rapid and Final.
    Default is All
MappingFile map-file | Miscellaneous Commands
Specifes that name of a mapping file for use in writing XML files (see XMLDir). This file provides for three different mappings: from station-net codes (used in SCNL) to descriptive station names; from net codes to descriptivce agency names, and from station-component-network codes to instrument type. See the file NCSN.map in the gmew source distribution for an example of this file. This file is not required by gmew, and the descriptivce names are not required by shakemap.
    Default: no mapping file if this command is not given
    Example: MappingFile NCSN.map
maxSta N | Memory Allocation
At startup, gmew will allocate space for N individual stations (unique station/network names.) Each station may have any number of different components (BHE/BHN/HHE/HHN.) If gmew tries to read more than N stations, the excess ones will be skipped with a logged warning message. The order that stations are read into gmew is determined by the trace source and thus may be arbitrary.
    Default: none, this command is required.
    Example: maxSta 100
maxTrace M | Memory Allocation
Allocate memory for M traceTimes command and the estimated P and S phase arrival times.

    Default: none, this command is required
    Example: maxTrace 60000
MyModuleId mod_id | Earthworm setup
Sets the module id for labeling all outgoing gmew, heartbeat, and error messages. mod_id is a character string (valid strings are listed in earthworm.d) that relates to a unique single-byte number. In general, a different module ID is needed for each instance of gmew.
    Default: none
    Example: MyModuleId MOD_LOCALMAG
respSource SOURCE [params] | Auxilliary Data Sources
  Tells gmew where to find instrument response data. This command is required. Choices for SOURCE are: FILE dirname pz-filename-format find response files in the dirname directory. pz-filename-format is a string similar to the printf format: %S, %C, %N are replaced by station, component and network names, respectively, all in upper case. Similarly %s, %c, %n work for lower-case station, component and network. The digraph %% stands for %; all other characters are taken literally. The response file format is similar to that used by SAC POLEZERO files with some extra requirements. The options in the file are keyword driven and the numbers are in free format. You may specify a multiplicative scaling constant by putting a line in the file containing the keyword "CONSTANT" followed by a floating point number. The default for this constant is 1.0 if you omit this line. You specify the number of poles by putting a line in the file with the keyword "POLES" following by an integer number. The next lines in the file until another keyword is read become the poles for this instrument. Each such line contains two floating point numbers specifying the real and imaginary parts of one of the poles. If you have fewer lines specifying poles than you stated on the "POLES" line, the remaining poles are assumed to lie at the origin. You specify the zeros in the same way with a "ZEROS" keyword line following by lines specifying the zeros that do not lie at the origin. You may specify up to as many poles and zeros as you need. The poles, zeros and gain constant of the response file MUST be for an input of displacement in nanometers. See the documentation provided by the NEIC AutoDRM for more details. The poles and zeros specify the Laplace transform of the analogue instrument response. Currently gmew has no provision for handling digital FIR or IIR filter responses. For example, the following is the specification for the NSN broadband seismometer OCWA.BHE.US:

      CONSTANT    0.50280E+11
      ZEROS       3
              0.00000E+00    0.00000E+00
              0.00000E+00    0.00000E+00
              0.00000E+00    0.00000E+00
      POLES       6
             -0.31420E-01    0.00000E+00
             -0.19790E+00    0.00000E+00
             -0.20110E+03    0.00000E+00
             -0.69740E+03    0.00000E+00
             -0.75400E+03    0.00000E+00
             -0.10560E+04    0.00000E+00
EWDB Query an Earthworm Database for reponse information. Not currently implemented.
    Default: none
    Example: File /earthworm/responses %S_%C_%N.pz
RingInName ring | Earthworm setup
Tells gmew which shared memory region to use for input transport. ring is a character string (valid strings are listed in earthworm.d) that relates (in earthworm.d) to a unique number for the key to the shared memory region. Gmew reads TYPE_HYP2ARC messages from this ring.
    Default:  none
    Example:  RingInName HYPO_RING
RingOutName ring | Earthworm setup
Tells gmew which shared memory region to use for output transport. ring is a character string (valid strings are listed in earthworm.d) that relates (in earthworm.d) to a unique number for the key to the shared memory region. Gmew writes TYPE_STRONGMOTIONII, TYPE_HEARTBEAT and TYPE_ERROR messages to this ring. RingOutName can be the same as RingInName if desired.
    Default:  none
    Example:  RingOutName SM_RING
saveTrace ST [params] DIR FORMAT | Event and Trace Commands
Tells gmew whether and how to save synthetic traces. If the saveTrace command is absent, no traces will be saved. Choices for ST include: SAC baseDir dirFormat filename-format Save synthetic traces in SAC-format files. The full pathname for each SAC file will be made up of base directory, formatted directory, and formatted filename plus a descriptive ending; all concatenated together with appropriate path separators. The endings are "-acc", "-vel", "-disp", "-psa03", "-psa10" and "-psa30" for the appropriate traces. baseDir Specifies a fixed directory name. This can be an absolute directory path or a path relative to the current directory. It can contain one or more parts with pathname separators. This all components of this path (except possibly the last) must exist before gmew is started. dirFormat Gives a formattted subdirectory name; the format string is that used for the Unix date command applied to the event origin time, with the addition of `%i' to indicate the event ID. Be careful with this; some formats produce output not compatible with directory names. The directory name derived from dirFormat must not contain any path separators. Suitable format strings include: %C Century number (the year divided by 100 and truncated to an integer as a decimal number [1,99]); single digits are preceded by 0. %d Day of month [1,31]; single digits are preceded by 0. %h Locale's abbreviated month name. %H Hour (24-hour clock) [0,23]; single digits are preceded by 0. %i The Earthworm event ID. Currently this event ID can only be read from a hyp2000 archive message. %j Day number of year [1,366]; single digits are preceded by 0. %m Month number [1,12]; single digits are preceded by 0. %M Minute [00,59]; leading zero is permitted but not required. %R Time as %H:%M %S Seconds [00,61] %T Time as %H:%M:%S %u Weekday as a decimal number [1,7], with 1 representing Sunday. %U Week number of year as a decimal number [00,53], with Sunday as the first day of week 1. %V Week number of the year as a decimal number [01,53], with Monday as the first day of the week. If the week containing 1 January has four or more days in the new year, then it is considered week 1; otherwise, it is week 53 of the previous year, and the next week is week 1. %w Weekday as a decimal number [0,6], with 0 representing Sunday. %W Week number of year as a decimal number [00,53], with Monday as the first day of week 1. %y Year within century [00,99]. %Y Year, including the century (for example 1993), filename-format Gives the formatted file name using % to introduce one of the format specifiers "sScCnNLl%" `s' is the station name in lower case; `S' is upper case. Likewise for component and network names; `%' stands for itself. All other characters are taken literally. This works in the same way as the format string for response files. Gmew adds the following special fields to SAC file headers. The peak amplitude is written to user0; in t0 is the time, relitive to event origin, of the peak amplitude. In kuser0 and kt0 are the labels for these user values. For the acceleration, the labels would be "Acc_max" and "Acc_amp", respectively. Other traces have similar labels. The SAC header variable kinst has the units for the trace, such as "cm/sec^2" for acceleration.

    Default:  command is absent (no traces are saved)
    Example: SAC /earthworm/SAC/GM %Y%j%i %S.%C.%N
SCNLpar STA COMP NET LOC special-parameters | Auxilliary Data Sources
Set certain parameters (described below) for specific traces identified by their SCNL: STA, COMP, and NET (station/component/network name.) No wildcards are permitted here; each SCNL must be given explicitly, but only if special values are needed for that SCNL. Often, the default values will be adequate for most SCNLs. If there are only a few of these commands, they may be listed in the configuration file. But if a large number of them are needed, it may be more convenient to place them in a separate file. Then that file will get included with the configuration file by the syntax: @scnl_param_file Note that the format of this files is identical to the one used by the localmag module. Each SCNLpar command must include the STA, COMP, NET, LOC names followed by the following seven decimal values. Use spaces between all elevent items in each SCNLpar line. All values must be present; no default values are used for an SCN if it has an SCNpar line. The seven decimal values are: magnitude correction This value is ignored by gmew; it is used only by the localmag module. taper low-freq off The frequency at the low end of the passband below which the cosine taper has zero value. This taper is applied to the frequency response function before it is convolved with the trace. Frequency units are Hz. taper low-freq on The frequency at the low end of the passband above which the cosine taper has a value of 1. The low-end taper can be eliminated by setting the off and on values to the same value. The default low-end taper is turned off, passing all low frequencies. taper high-freq on The frequency at the high end of the passband below which the cosine taper has a value of 1. taper high-freq off The frequency at the high end of the passband above which the cosine taper has a value of 0. The high-end taper can be eliminated by setting the off and on values to the same value. The default high-end taper has an off value equal to the trace Nyquist frequency (one half the sample rate.) The default on frequency is 90% of the Nyquist frequency. clipping limit The value, in digital counts, beyond which in absolute value the unprocessed trace should be considered clipped. If the trace is declared clipped by gmew, it will synthesized into ground motion traces, but it will not have amplitude picks performed. The default clipping limit is 7.55e+06 counts, 90% of 2^23, the limit of a 24-bit digitizer. taper time interval The number of seconds for which a cosine taper will be applied to both ends of the input time series before it is transformed to the frequency domain. This taper will shorten the useful length of the time series from the length specifed by the traceTimes command by twice this taper interval. The default value is 0 - no taper is applied to time series.

    Default: as described above
    Example: SCNLpar SEA EHE UW -- 0.2   0.1 0.1 20 25   2.9e4 1.0
searchWindow A B C D | Amplitude Controls
Specify the time interval in which gmew will search for peak amplitudes in the synthetic traces. Together with the P- and S-phase arrival times estimated from the velocity model, these four parameters set the start and end times of this search window. The four parameters are: A: The multiple of the estimated interval P - S to start the search before estimated S arrival. Use a negative value to start after the S arrival. B: The minimum number of seconds before estimated S arrival to start the peak search. C: The multiple of the estimated interval P - S to end the search after the estimated S arrival. D: The minimum number of seconds after estimated S arrival to start the peak search.

    Default: searchWindow 0.0 2.0 0.0 30.0 # Search window runs from 2 seconds
            before to 30 seconds after the estimated S arrival, independent of
            the P - S interval.
    Example: searchWindow 0.1 2.0 2.0 15.0 # some random values
staLoc LOC [params] | Auxilliary Data Sources
Tells gmew where to find station location information. Station locations are used to find the station-epicenter distance, which is then used in the estimate of P and S phase arrivals. The choices for LOC are: File loc-file: Get station locations from a hyp2000-format station location file named loc-file. This file must be in text format, not the binary-format file sometimes used by hyp2000. If the file is not located in the current directory, partial or full path information must be included in loc-file. EWDB Query the Earthworm database for station locations. Not currently implemented.

    Default: none; this command is required
    Example: staLoc File /earthworm/run/params/hypoinverse/stas/uw_sta.hinv
TempDir temp-dir | Miscellaneous Commands
Specify the temporary directory for writing an XML file (see XMLDir). This command is ignored unless an XMLDir command is given, in which case TempDIr is required.

    Default: none; this command is required if XMLDir is given
    Example: TempDir Shake/temp
tracesource SOURCE [params] | Event and Trace Commands
Directs gmew to obtain trace data from SOURCE. Choices are: waveServer server-list Obtain trace data from the wave servers in server-list, a space delimited list of one or more server:port pairs. The server can be an IP address or a hostname for the wave server. The port is the port number used by that wave server. waveServer File server-file Command line: -tvObtain trace data from the wave servers listed in the file named server-file. This file consists of lines listing server and port, one server to each line. The two entries on a line may be separated by space or colon. Gmew will connect to one server at a time. For each connection, it will obtain the server's current menu, match SCNLs on the menu against the selection list from Add and Del commands, obtain and process the trace data segment for each of the selected SCNLs. The time interval for each trace is established by the traceTimes command. After all the selected SCNLs for one wave server have been processed, the connection to that server will be closed and the next server will be accessed.

    Default:  waveServer with list of servers read from the file $EW_PARAMS/servers
    Example: traceSource waveServer 123.45.67.89:16021 123.45.67.89:16022
extraDelay DelaySecs | Event and Trace Commands
This is the delay in seconds to wait after receiving an Event message to hit the waveServers for traces. DelaySecs: is the number of seconds to sleep.

    Default: extraDelay 0
    Example: extraDelay 20
traceTimes START END | Event and Trace Commands
Specify the start and end times of trace data to be used from any trace source. START: is the number of seconds before estimated P arrival to start the trace. END: is the number of seconds after estimated S arrival to end the trace.

    Default: traceTimes 5.0 60.0
    Example: traceTimes 10.0 40.0
velocity model | Auxilliary Data Sources
Read in the one-dimensional velocity model to be used to estimate P and S phase arrival times. This is done using the syntax: @velocity_file Typically this will be the same file as used for binder_ew. Gmew will always look for this file in the current directory, so appropriate path information must be included if the file is located elsewhere. Ask Earthworm Central for documentation of this long-used file format.
    Default:  none
    Example: @/earthworm/run/params/uw_velovity.d
watchForAlarm duration | Miscellaneous Commands
Read ACTIVATE_MODULE messages tagged for gmew from the input ring, and process similarly to a HYPOARC2000 message, but instead of computing the window, use the timestamp included in the message as the start of the window and duration as its length in seconds.
    Default: ignore ACTIVATE_MODULE messages
    Example: watchForAlarm 10
wsTimeout M | Miscellaneous Commands
Set the timeout for wave server connections to M milliseconds. If no response is heard from the wave server after this time, gmew will assume this wave server is dead and proceed to the next one.

    Default: 5000 milliseconds
    Example: wsTimeout 10000
XMLDir xml-dir | Miscellaneous Commands
Gmew can optionally write an XML file for an event. This file will be in the format used by ShakeMap (version 2). While the file is being written, it will reside in temp-dir. When the file is completed, it will be moved to xml-dir. The file's name will be "_dig_dat.xml" with the Event ID prepended. By writing to a temporary directory and moving the completed file to xml-dir, gmew will ensure that only a complete XML file will be in xml-dir. (On Unix, you must ensure that temp-dir and xml-dir are on the same filesystem; otherwise the file movement will not be an atomic operation.)

    Default: XMLDir command not given; no XML file is written
    Example: XMLDir  Shake/input

##
3. Sample Configuration File

    # Configuration file for gmew
    # Some of these parameters can be overridden on the command-line;
    # some of them only make sense on the command-line.
    #
    # Required Commands:
    # The following five commands are always required by gmew.
    # Other commands below may be required when certain options are given.
    #
    # Earthworm Transport commands
    # RingInName : specify the name of the earthworm transport ring from
    #  which to read TYPE_HYP2000ARC messages for event notification.

    RingInName HYPO_RING

    # RingOutName : specify the name of the earthworm transport ring from
    #  which to write Magnitude, Heartbeat and Error messages. This may be
    #  the same is the RingInName if desired.

    RingOutName GM_RING

    # MyModId <module-id>: specify the module ID for gmew
     MyModId MOD_GMEW

    # HeartBeatInterval int: How often gmew should beat its heart.

    HeartBeatInterval 30

    # getEventsFrom  INST_ID MOD_ID
    # Specify the installation ID and module ID names from which to get
    # hypoinverse archive messages to read event data. These names may be
    # selected from earthworm.d and earthworm_global.d. No default values.
    Use as many of these commands as necessary.

    getEventsFrom INST_UW MOD_WILDCARD
    getEventsFrom INST_MENLO MOD_WILDCARD

    # maxSta number
    # The number of stations to be used by gmew must be specified with
    # the maxSta command. This is the number of unique SNs to be used; each
    # SN combination can have any number of components. The maxSta command
    # must come before any "Pri" commands.

    maxSta 100

    # maxDist km
    # The maximum epicenter - station distance in kilometers.
    # Stations lying outside this radius will not be used by gmew.
    #
    maxDist 600

    # maxTrace nsamples
    # The maximum number of trace data samples to process from one SCNL.
    # This is the product of the trace length in seconds and the highest
    # expected sample rate. For example, 10 minutes of data at 100 samples per
    # second gives 60000 samples.

    maxTrace 60000

    # staLoc: station location source
    #    Choices: File < loc-file> - get station locations from a hyp2000-format
    #                               file named loc-file
    #             EWDB - query the EW database for station locations; access info
    #                    given below.

    staLoc File /earthworm/run/params/hypoinverse/stas/uw_sta.hinv

    # Regional Velocity model: must be specified as "@vel_model_file". Typically
    #    this will be the same file as used for binder_ew.

    @uw_velocity.d

    # traceSource: Where gmew will obtain trace data
    #    choices are: waveServer  - raw traces from wave_servers;
    #                              server-list is either a space separated list
    #                              of ip-address:port or
    #                           "File "
    #    default: waveServer with list of servers read from $EW_PARAMS/servers

    traceSource waveServer 123.45.67.89:16021 123.45.67.89:16022

    # Add STA COMP NET
    # Del STA COMP NET
    # SCNL selection is done by a selection list and a rejection list.
    # The station selection command `Add' specifies the names of
    # STA (station), COMP (component), and NET (network).
    # The wildcard `*' may be used for any or all of STA, COMP, NET.
    # COMP may be given as the first two letters of the component name,
    # to select all direction desgnators are accepted for that component.
    # If no Add commands are given, all SCNLs will be selected.
    # The Del command is used to put SCNLs on the rejection list:
    # for example: "Add * EL UW" followed by "Del LAB EL UW" to include
    # all ELE and ELN components from UW except LAB.ELE.UW and LAB.ELN.UW.
    # List as many Add and Del commands as desired, one to a line

    Add * BH *
    Add * HH *
    Add * SL *
    Add * EL *
    Del LAB * UW

    # respSource: Tells gmew where to get response information;
    #    Choices: EWDB - query the EW databse for pole-zero-gain responses.
    #             File < dirname*gt; < pz-filename-format> - find response files in the
    #                            directory dirname. dirname can be
    #                            a full directory name, or relative to $EW_PARAMS.
    #                            filename-format is a string similar to printf
    #                            format: %S, %C, %N are replaced by station,
    #                            component and network names, respectively,
    #                            all in upper case. Similarly %s, %c, %n work
    #                            for lower-case station, component and network.
    #                            The digraph %% stands for %; all other
    #                            characters are taken literally.
    #                            The response file format is that used by SAC.
    #
    #    default: none; you must specify one of the above choices.

    respSource File responses %S_%C_%N.pz

    # traceTimes start end
    # The start and end times for traces is set here.
    #   < start> is the number of seconds before estimated P arrival to start
    #           the trace.
    #   <end> is the number of seconds after estimated S arrival to end the trace.
    #   default: traceTimes 5.0 60.0 # starts trace 5 seconds before estimated P
    #           arrival and ends trace 60 seconds after estimated S arrival.

    traceTimes 5.0 60.0

    # searchWindow A B C D
    # The time window for searching for peak amplitudes is set here.
    #    <A> is the multiple of the estimated interval P - S to start the
    #        search before estimated S arrival.
    #    <B> is the minimum number of seconds before estimated S arrival to
    #        start the peak search.
    #    <C> is the multiple of the estimated interval P - S to end the
    #        search after the estimated S arrival.
    #    <D> is the minimum number of seconds after estimated S arrival to
    #        start the peak search.
    # default: searchWindow 0.0 2.0 0.0 30.0 # Search window runs from 2 seconds
    #        before to 30 seconds after the estimated S arrival, independent of
    #        the P - S interval.

    searchWindow 0.0 2.0 0.0 30.0

    #saveTrace: whether and how to save synthetic ground-motion traces
    #            If saveTrace command is absent, no traces will be saved.
    #   Choices: SAC <baseDir> <dirFormat> <filename-format> -
    #                  save gm traces in SAC-format files.
    #                baseDir specifies a fixed directory name.
    #                dirFormat gives a formattted subdirectory name; the
    #                  format string is that used for the "date" command applied
    #                  to the event origin time, with the addition of `%i'
    #                  to indicate the event ID. Be careful with this; some
    #                  formats produce output not compatible with file names.
    #                filename-format gives the formatted file name using
    #                  % to introduce one of the format specifiers "sScCnN%"
    #                  `s' is the station name in lower case; `S' is upper case
    #                  Likewise for component and network names; `%' stands for
    #                  itself. All other characters are taken literally.
    #
    #   default: None (no traces are saved.)

    # XMLDir dirname
    # Optional command to cause ground-motion results to be written to
    #   a ShakeMap XML file. This directory must already exist.
    XMLDir Shake/input

    # TempDir dirname
    # Temporary directory for writing XML file. If XMLDir is given, TempDir must
    #   also be given. On Solaris (Unix), these two directories should be on
    #   the same filesystem. This will ensure that the XML file will be complete
    #   as soon as it is moved into XMLDir. This directory must already exist.
    TempDir Shake/temp

    # MappingFile filename
    # To provide descriptive names in the shakemap XML file, a mapping file
    #   may optionally be given. This file contain mappings of SCNL to instrument
    #   type, SN to long station names, and N to agency names.
    MappingFile   PNSN.map

    # Debug N
    # There are several different debug features, listed below.
    # You can give one Debug command for each feature you want to turn on,
    # or you can add together the values of desired features and give
    # one Debug command.
    # value   feature
    #     1   trace and search times and P and S arrival estimates
    #     2   SCNL selection tests
    #    16   ws_client debugging
    #    32   poles. zeros and gain values
    #    64   trial frequency response functions to STDOUT
    #   128   full frequency response function to STDOUT

    # SCNL Parameters: normally this command will be given as "@SCNL_param_file"
    # to cause the separate file "SCNL_param_file" to be processed.

    # watchForAlarm S
    # Recognize ACTIVATE_MODULE messages to initiate processing for a window
    # S seconds long
    #watchForAlarm 30

    # AddSpectraResponseAt period
    # Add period to the list being processed
    # The first replaces the default list (0.3, 1.0, 3.0)
    # This does NOT affect what gets written to the ShakeMap XML
    #AddSpectraResponseAt 2.0
    #AddSpectraResponseAt 2.5

Module Index | gmew Overview